ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
IVIMCodec Class Reference

`#include <IVIMCodec.hh>`

Inheritance diagram for IVIMCodec:

## Public Member Functions
| IVIMCodec ()
virtual | ~IVIMCodec ()
virtual int | encode (const IVIM__PDU__Descriptions::IVIM &ivim, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, IVIM__PDU__Descriptions::IVIM &, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< IVIM__PDU__Descriptions::IVIM, IVIM__PDU__Descriptions::IVIM >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Attributes
IVIMPDUCodec | asnCodec

## Additional Inherited Members
Protected Attributes inherited from Codec< IVIM__PDU__Descriptions::IVIM, IVIM__PDU__Descriptions::IVIM >
Params * | _params

## Constructor & Destructor Documentation

## ◆ IVIMCodec()

IVIMCodec::IVIMCodec | ( |  | ) |
| inline explicit

## ◆ ~IVIMCodec()

virtual IVIMCodec::~IVIMCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int IVIMCodec::decode | ( | const OCTETSTRING & | p_,
|  | IVIM__PDU__Descriptions::IVIM & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< IVIM__PDU__Descriptions::IVIM, IVIM__PDU__Descriptions::IVIM >.

## ◆ encode()

int IVIMCodec::encode | ( | const IVIM__PDU__Descriptions::IVIM & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< IVIM__PDU__Descriptions::IVIM, IVIM__PDU__Descriptions::IVIM >.

## Member Data Documentation

## ◆ asnCodec

IVIMPDUCodec IVIMCodec::asnCodec
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/IVIMCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/IVIMCodec.cc